<!DOCTYPE html>
<html lang="en">

<head>
<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Login">
    <meta name="theme-color" content="#3a22fa">

    <title>Dashboard</title>
    <link rel="stylesheet" href="/style-global/lib/jquery-dragndrop/draganddrop.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}

    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="/dashboard/css/dashboard-custom.css?v=[cs_version]">
    <link rel="manifest" href="/pwa.webmanifest">


    <style>

/* Highlighting effect for fixed columns */
.fixed-column {
    border-top: 2px solid #596882; /* Tomato color for highlighting */
    background-color: #f9f9f9; /* Light red background */
}
.content-left-colapse {
    text-align: right;
    border-bottom: 1px solid lightgrey;
    margin-bottom: 5px;
}

.content-right-colapse {
    text-align: left;
    margin-bottom: 5px;
    border-bottom: 1px solid lightgrey;
}

/* The sticky class is added to the header with JS when it reaches its scroll position */
.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 102 !important;
}

#column1, #column3 {
    position: -webkit-sticky;
    position: sticky;
    top: 60px; /* Adjust this value to match the height of your sticky header */
    z-index: 100; /* Ensure they are above other content */
    max-height: calc(100vh - 60px); /* Adjust based on your header height */
    overflow-y: auto;
}

/* Ensure the resizers maintain their position and functionality */
.resizer {
    position: -webkit-sticky;
    position: sticky;
    top: 60px; /* Same as the columns */
    z-index: 101; /* Above the columns */
}

/* Ensure the right and left action menus are positioned correctly */
#rightActionMenu, #leftActionMenu {
    position: fixed;
    top: 60px; /* Same as the columns */
    z-index: 102; /* Above the resizers */
}


#statistic_container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.statistic_container {
    display: grid;
    grid-template-columns: 1fr 5px 1fr 5px 1fr;
    flex: 1;
    position: relative;
    min-height: 100%;
}

.statistic_container>.column {
    padding: 1em;
    min-width: 100%;
    box-sizing: border-box;
    overflow: auto;
}

.statistic_container>.resizer {
    width: 5px;
    cursor: ew-resize;
    background-color: transparent;
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: calc(100vh - 60px);
}

.hidden-column {
    display: none;
}


.resizer-button {
    background-color: white;
    height: 25px;
    width: 25px;
    border: 1px solid grey;
    width: 30px;
    margin-bottom: 5px;
    border-radius: 5px;
    transition-duration: .3s;
    transition-property: "background";
}

.resizer-button:hover {
    width: 35px;
    transition-duration: .3s;
    border: 1px solid lightgrey;
}


.slide-button-left {

}

.slide-button-right {
    right: 10px;
}

.slide-button-left,
.slide-button-right {
    top: 70px;
     background-color: white;
     border-radius: 5px;
     border: 1px solid lightgrey;
     position: fixed;

    opacity: 1;
     z-index: 100;

}

.slide-button-left:hover,
.slide-button-right:hover  {
    border: 1px solid grey;
    background: #F5F5F5;
    opacity: 0.6;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1);
}

#rightActionMenu,
#leftActionMenu {
    display: none;
    position: absolute;
    top: 10px;
    z-index: 1000;
}

#rightActionMenu {
    right: 10px;
}

#leftActionMenu {
    left: 10px;
}


@media (max-width: 1024px) {
    #column1,
    #column3 {
        display: none;
    }

    #resizer1,
    #resizer2 {
        display: none;
    }

    #rightActionMenu,
    #leftActionMenu {
        display: block;
    }

    #rightActionMenu,
    #leftActionMenu {
        position: absolute;
        top: 10px;
        right: 10px;
        left: 10px;
        z-index: 1000;
    }
}

.b1-right {
    border-right: 1px solid lightgrey;
}

.b1-left {
    border-left: 1px solid lightgrey;
}


.calendar {
    max-width: 600px;
    background-color: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    overflow: hidden;
}

.calendar h1 {
    background-color: #009688;
    color: #ffffff;
    margin: 0;
    padding: 15px;
    text-align: center;
    font-size: 1.5em;
}

#calendar-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.calendar-entry {
    border-bottom: 1px solid #eeeeee;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.9em;
}

.calendar-entry:last-child {
    border-bottom: none;
}

.date {
    color: #009688;
}

.event {
    color: #333333;
}

/* Responsive Design */
@media (max-width: 600px) {
    .calendar h1 {
        font-size: 1.2em;
    }

    .calendar-entry {
        padding: 10px;
        font-size: 0.8em;
    }
}

#column2-content {
    background-color: #ffffff;
    border: 1px solid #ccc;
    padding: 20px;
    margin: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#column2-content h1 {
    color: #444;
    text-align: center;
    margin-bottom: 20px;
}

#column2-content h2 {
    color: #555;
    margin-top: 20px;
    margin-bottom: 10px;
}

#column2-content p {
    font-size: 1.1em;
    line-height: 1.6;
    margin-bottom: 15px;
}

section {
    margin-bottom: 20px;
}

.accordion {
    margin-top: 20px;
}

.accordion-item {
    margin-bottom: 10px;
}

.accordion-header {
    background-color: #eee;
    border: none;
    padding: 15px;
    font-size: 1.1em;
    text-align: left;
    cursor: pointer;
    outline: none;
    transition: background-color 0.3s ease;
}

.accordion-header:hover {
    background-color: #ddd;
}

.accordion-content {
    padding: 15px;
    border-top: 1px solid #ccc;
    display: none;
    background-color: #f9f9f9;
}

.accordion-header.active + .accordion-content {
    display: block;
}
    </style>
</head>


<body id="page-top" class="az-body">

{% include 'snippets/pb-loader.tpl' %}
{% include 'snippets/guide/container-modal.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header" id="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="index.html" class="az-logo">
                    <img class="az-logo" src="/style-global/img/icons/clipboard.png" alt="Fragebogen Statistiken">
                </a>
                <a href="" id="azContentBodyHide" class="az-header-arrow d-md-none">
                    <i class="icon ion-md-arrow-back"></i>
                </a>
                <img class="sub-branding-logo d-block d-lg-none pl-2" src="/style-global/img/icons/clipboard.png" alt="Fragebogen Statistiken">
                <span class="nav-link text-dark tx-20  d-none d-lg-block" data-i18n="CS:Fragebogen Statistiken"></span>
            </div>
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="questionaire_statistics.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/clipboard.png" alt="Fragebogen Statistiken"></a>
                    <a href="" class="close">&times;</a>
                </div>
            </div>
            <div class="az-header-right">
                {#% include 'snippets/header-news-menu.tpl' %#}

                <!-- logout as single button -->
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div>
        </div>
    </div>

    <div class="" style="" id="statistic_container">
        <div class="statistic_container">
            <div class="column b1-right" id="column1">
                <div class="content-left-colapse">
                    <button class="resizer-button" id="fixColumn1">
                        <i class="fa fa-columns"></i>
                    </button>
                    <button class="resizer-button" id="toggleColumn1">
                        <i class="far fa-window-minimize"></i>
                    </button>
                </div>
                <div id="azContactList" class="az-contacts-list">
                    sssss<!-- contacts list generated from snippet here -->
                </div><!-- az-contacts-list -->
            </div>

            <div class="resizer" id="resizer1"></div>

            <div class="column" id="column2">
                <div id="column2-content">
                    <h1>Astrology of Enceladus</h1>
                    <section class="introduction">
                        <h2>Introduction</h2>
                        <p>Enceladus is one of Saturn's moons, known for its icy surface and geysers that shoot water vapor into space. This moon has fascinated astrologers and astronomers alike for centuries.</p>
                        <p>Its unique characteristics make it a subject of great interest in both scientific and astrological communities. The mystical aspects of Enceladus are often linked to renewal and transformation.</p>
                    </section>
                    <section class="astrological-significance">
                        <h2>Astrological Significance</h2>
                        <p>In astrology, Enceladus is considered a symbol of renewal and hidden potentials. It represents the power of the subconscious and the importance of uncovering deep-seated emotions.</p>
                        <p>Many astrologers believe that the influence of Enceladus can bring about profound personal changes, guiding individuals through periods of intense self-discovery and emotional growth.</p>
                    </section>
                    <section class="mythology">
                        <h2>Mythology</h2>
                        <p>Enceladus, named after a giant in Greek mythology, is often associated with strength and resilience. According to myth, Enceladus was buried under Mount Etna by the goddess Athena.</p>
                        <p>This mythological background enhances its astrological symbolism, highlighting themes of overcoming adversity and emerging stronger from challenges.</p>
                    </section>
                    <div class="accordion">
                        <div class="accordion-item">
                            <button class="accordion-header">Scientific Exploration</button>
                            <div class="accordion-content">
                                <p>Enceladus has been the focus of several space missions, providing valuable data about its composition and geological activity. The discovery of water geysers has sparked interest in the potential for life beneath its icy surface.</p>
                            </div>
                        </div>
                        <div class="accordion-item">
                            <button class="accordion-header">Astrological Practices</button>
                            <div class="accordion-content">
                                <p>Astrologers incorporate Enceladus into their readings to provide insights into hidden potentials and subconscious influences. It is believed to guide individuals through transformative experiences and spiritual awakenings.</p>
                            </div>
                        </div>
                    </div>

                <hr/>

                <h1>Astrology of the Moon</h1>
<section class="introduction">
    <h2>Introduction</h2>
    <p>The Moon, Earth's only natural satellite, has been a source of fascination and inspiration for humanity since ancient times. Its phases and cycles have a profound impact on both nature and human behavior, influencing tides, animal activities, and even human emotions.</p>
    <p>In astrology, the Moon is regarded as a powerful symbol of intuition, emotions, and the inner self. Its ever-changing phases reflect the cycles of life, growth, and transformation, making it a central focus in many astrological practices.</p>
</section>
<section class="astrological-significance">
    <h2>Astrological Significance</h2>
    <p>The Moon is considered a symbol of the subconscious, governing our deepest emotions, instincts, and memories. It represents the inner world and the way we respond to our environment on an emotional level.</p>
    <p>Astrologically, the Moon's position in one's birth chart can reveal much about their emotional nature, intuitive abilities, and the way they nurture themselves and others. Its influence is closely tied to personal identity and the quest for emotional security.</p>
</section>
<section class="mythology">
    <h2>Mythology</h2>
    <p>In mythology, the Moon is often personified as a goddess, such as Selene in Greek mythology, Luna in Roman mythology, and Chandra in Hindu mythology. These deities are associated with femininity, fertility, and the nurturing aspects of life.</p>
    <p>These mythological connections enrich the Moon's astrological symbolism, emphasizing themes of nurturing, intuition, and the cyclical nature of life. The Moon's phases—new, waxing, full, and waning—are often linked to different stages of growth and development.</p>
</section>
<div class="accordion">
    <div class="accordion-item">
        <button class="accordion-header">Scientific Exploration</button>
        <div class="accordion-content">
            <p>The Moon has been the target of numerous space missions, including the historic Apollo landings. These missions have provided a wealth of information about its composition, geological history, and the presence of water in the form of ice.</p>
        </div>
    </div>
    <div class="accordion-item">
        <button class="accordion-header">Astrological Practices</button>
        <div class="accordion-content">
            <p>Astrologers incorporate the Moon into their readings to gain insights into emotional states, instincts, and subconscious influences. The Moon's phases are used to time important activities and rituals, aligning with natural cycles for optimal outcomes.</p>
        </div>
    </div>
</div>
                </div>
            </div>

            <div class="resizer" id="resizer2"></div>

            <div class="column b1-left" id="column3">
                <div class="content-right-colapse">
                    <button class="resizer-button" id="fixColumn3">
                        <i class="fa fa-columns"></i>
                    </button>
                    <button class="resizer-button" id="toggleColumn3">
                        <i class="far fa-window-minimize"></i>
                    </button>
                </div>
                <div class="calendar">
                    <h1>Calendar</h1>
                    <ul id="calendar-list">
                        <!-- Calendar entries will be inserted here by JavaScript -->
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div id="rightActionMenu" class="content-right-action-menu-wrapper az-content-body az-content-body-contacts">
        <div class="text-right">
            <span class="btn slide-button-right" data-toggle="true" id="pollButtonRight">
                <span class="slide-button-info"><i class="fa fa-angle-double-left" aria-hidden="true"></i></span>
            </span>
        </div>
    </div>

    <div id="leftActionMenu" class="content-right-action-menu-wrapper az-content-body az-content-body-contacts">
        <div class="text-left">
            <span class="btn slide-button-left" data-toggle="true" id="pollButtonLeft">
                <span class="slide-button-info"><i class="fa fa-angle-double-right" aria-hidden="true"></i></span>
            </span>
        </div>
    </div>
</div>

<!-- Additional Data -->
<!-- snippit for contact list item -->
<div style="display: None;">
    <div id="contactItem" class="az-contact-item px-3 py-2">
        <div class="az-contact-body ml-0">
            <h6>[{contact-title}]</h6>
            <span>[{contact-subtitle}]</span>
            <div>[{contact-tags}]</div>
        </div><!-- az-contact-body -->
        <a href="" class="az-contact-star"><i class="typcn typcn-media-record mr-2"></i></a>
    </div><!-- az-contact-item -->
</div>

{% with select2=false, bootstrapdatetimepicker=true, momentjs=true, perfectscrollbar=true, chartjs=true %}
{% include 'snippets/global-script-include.tpl' %}
{% endwith %}
{% with circuit="questionaire_statistic" %}
{% include 'snippets/framework-script.tpl' %}
{% endwith %}
{% with show_menu=false, show_copyright=true %}
{% include 'snippets/parametric/pb-footer.tpl' %}
{% endwith %}
</body>

<script>
    document.addEventListener('DOMContentLoaded', () => {
        const column1 = document.getElementById('column1');
        const column2 = document.getElementById('column2');
        const column3 = document.getElementById('column3');
        const resizer1 = document.getElementById('resizer1');
        const resizer2 = document.getElementById('resizer2');
        const rightActionMenu = document.getElementById('rightActionMenu');
        const leftActionMenu = document.getElementById('leftActionMenu');
        const pollButtonRight = document.getElementById('pollButtonRight');
        const pollButtonLeft = document.getElementById('pollButtonLeft');
        const fixColumn1Button = document.getElementById('fixColumn1');
        const fixColumn3Button = document.getElementById('fixColumn3');

        let isColumn1Fixed = false;
        let isColumn3Fixed = false;

        // Load saved widths from localStorage
        if (localStorage.getItem('column1Width')) {
            column1.style.width = localStorage.getItem('column1Width');
        }
        if (localStorage.getItem('column2Width')) {
            column2.style.width = localStorage.getItem('column2Width');
        }
        if (localStorage.getItem('column3Width')) {
            column3.style.width = localStorage.getItem('column3Width');
        }

        const resizers = document.querySelectorAll('.resizer');
        let currentResizer;
        let startX, startWidthCurrent, startWidthNext;

        resizers.forEach(resizer => {
            resizer.addEventListener('mousedown', (e) => {
                e.preventDefault();
                if ((resizer === resizer1 && isColumn1Fixed) || (resizer === resizer2 && isColumn3Fixed)) return;
                currentResizer = resizer;
                startX = e.clientX;

                const currentColumn = currentResizer.previousElementSibling;
                const nextColumn = currentResizer.nextElementSibling;

                startWidthCurrent = currentColumn.getBoundingClientRect().width;
                startWidthNext = nextColumn.getBoundingClientRect().width;

                document.addEventListener('mousemove', mousemove);
                document.addEventListener('mouseup', mouseup);
            });

            resizer.addEventListener('touchstart', (e) => {
                e.preventDefault();
                if ((resizer === resizer1 && isColumn1Fixed) || (resizer === resizer2 && isColumn3Fixed)) return;
                currentResizer = resizer;
                startX = e.touches[0].clientX;

                const currentColumn = currentResizer.previousElementSibling;
                const nextColumn = currentResizer.nextElementSibling;

                startWidthCurrent = currentColumn.getBoundingClientRect().width;
                startWidthNext = nextColumn.getBoundingClientRect().width;

                document.addEventListener('touchmove', touchmove);
                document.addEventListener('touchend', touchend);
            });
        });

        function mousemove(e) {
            const dx = e.clientX - startX;
            resizeColumns(dx);
        }

        function touchmove(e) {
            const dx = e.touches[0].clientX - startX;
            resizeColumns(dx);
        }

        function resizeColumns(dx) {
            const currentColumn = currentResizer.previousElementSibling;
            const nextColumn = currentResizer.nextElementSibling;

            const newWidthCurrent = startWidthCurrent + dx;
            const newWidthNext = startWidthNext - dx;

            // Ensure minimum width of 250px
            if (newWidthCurrent > 250 && newWidthNext > 250) {
                currentColumn.style.width = `${newWidthCurrent}px`;
                nextColumn.style.width = `${newWidthNext}px`;
            }
        }

        function mouseup() {
            document.removeEventListener('mousemove', mousemove);
            document.removeEventListener('mouseup', mouseup);
            saveWidths();
        }

        function touchend() {
            document.removeEventListener('touchmove', touchmove);
            document.removeEventListener('touchend', touchend);
            saveWidths();
        }

        function saveWidths() {
            localStorage.setItem('column1Width', column1.style.width);
            localStorage.setItem('column2Width', column2.style.width);
            localStorage.setItem('column3Width', column3.style.width);
        }

        let isColumn1Visible = true;
        let isColumn3Visible = true;

        document.getElementById('toggleColumn1').addEventListener('click', () => {
            if (isColumn1Visible) {
                column1.style.display = 'none';
                resizer1.style.display = 'none';
            } else {
                column1.style.display = 'block';
                resizer1.style.display = 'flex';
            }
            isColumn1Visible = !isColumn1Visible;
            updateActionMenuVisibility();
            recalculateColumnWidths();
        });

        document.getElementById('toggleColumn3').addEventListener('click', () => {
            if (isColumn3Visible) {
                column3.style.display = 'none';
                resizer2.style.display = 'none';
            } else {
                column3.style.display = 'block';
                resizer2.style.display = 'flex';
            }
            isColumn3Visible = !isColumn3Visible;
            updateActionMenuVisibility();
            recalculateColumnWidths();
        });

        pollButtonRight.addEventListener('click', () => {
            if (!isColumn3Visible) {
                column3.style.display = 'block';
                resizer2.style.display = 'flex';
                isColumn3Visible = true;
            }
            updateActionMenuVisibility();
            recalculateColumnWidths();
        });

        pollButtonLeft.addEventListener('click', () => {
            if (!isColumn1Visible) {
                column1.style.display = 'block';
                resizer1.style.display = 'flex';
                isColumn1Visible = true;
            }
            updateActionMenuVisibility();
            recalculateColumnWidths();
        });

        function updateActionMenuVisibility() {
            if (!isColumn1Visible) {
                leftActionMenu.style.display = 'block';
            } else {
                leftActionMenu.style.display = 'none';
            }

            if (!isColumn3Visible) {
                rightActionMenu.style.display = 'block';
            } else {
                rightActionMenu.style.display = 'none';
            }
        }

        function recalculateColumnWidths() {
            const totalWidth = document.getElementById('statistic_container').clientWidth;
            let availableWidth = totalWidth;

            if (isColumn1Visible) {
                availableWidth -= column1.clientWidth + resizer1.clientWidth;
            }
            if (isColumn3Visible) {
                availableWidth -= column3.clientWidth + resizer2.clientWidth;
            }

            column2.style.width = `${availableWidth}px`;
        }

        // Recalculate column widths on window resize
        window.addEventListener('resize', () => {
            recalculateColumnWidths();
            updateActionMenuPosition();
        });

        function updateActionMenuPosition() {
            const column2Rect = column2.getBoundingClientRect();
            rightActionMenu.style.top = `${column2Rect.top + 10}px`;
            leftActionMenu.style.top = `${column2Rect.top + 10}px`;
        }

        // Initial positioning of action menus
        updateActionMenuPosition();

        // Event listeners for fixing column sizes
        fixColumn1Button.addEventListener('click', () => {
            isColumn1Fixed = !isColumn1Fixed;
            if (isColumn1Fixed) {
                localStorage.setItem('fixedColumn1Width', column1.style.width);
                resizer1.style.pointerEvents = 'none'; // Disable resizing
                column1.classList.add('fixed-column'); // Add highlighting
            } else {
                localStorage.removeItem('fixedColumn1Width');
                resizer1.style.pointerEvents = 'auto'; // Enable resizing
                column1.classList.remove('fixed-column'); // Remove highlighting
            }
        });

        fixColumn3Button.addEventListener('click', () => {
            isColumn3Fixed = !isColumn3Fixed;
            if (isColumn3Fixed) {
                localStorage.setItem('fixedColumn3Width', column3.style.width);
                resizer2.style.pointerEvents = 'none'; // Disable resizing
                column3.classList.add('fixed-column'); // Add highlighting
            } else {
                localStorage.removeItem('fixedColumn3Width');
                resizer2.style.pointerEvents = 'auto'; // Enable resizing
                column3.classList.remove('fixed-column'); // Remove highlighting
            }
        });

        // Apply fixed column widths from localStorage
        if (localStorage.getItem('fixedColumn1Width')) {
            isColumn1Fixed = true;
            column1.style.width = localStorage.getItem('fixedColumn1Width');
            resizer1.style.pointerEvents = 'none';
            column1.classList.add('fixed-column'); // Add highlighting
        }
        if (localStorage.getItem('fixedColumn3Width')) {
            isColumn3Fixed = true;
            column3.style.width = localStorage.getItem('fixedColumn3Width');
            resizer2.style.pointerEvents = 'none';
            column3.classList.add('fixed-column'); // Add highlighting
        }
    });document.addEventListener('DOMContentLoaded', () => {
    const column1 = document.getElementById('column1');
    const column2 = document.getElementById('column2');
    const column3 = document.getElementById('column3');
    const resizer1 = document.getElementById('resizer1');
    const resizer2 = document.getElementById('resizer2');
    const rightActionMenu = document.getElementById('rightActionMenu');
    const leftActionMenu = document.getElementById('leftActionMenu');
    const pollButtonRight = document.getElementById('pollButtonRight');
    const pollButtonLeft = document.getElementById('pollButtonLeft');
    const fixColumn1Button = document.getElementById('fixColumn1');
    const fixColumn3Button = document.getElementById('fixColumn3');

    let isColumn1Fixed = false;
    let isColumn3Fixed = false;

    // Load saved widths from localStorage
    if (localStorage.getItem('column1Width')) {
        column1.style.width = localStorage.getItem('column1Width');
    }
    if (localStorage.getItem('column2Width')) {
        column2.style.width = localStorage.getItem('column2Width');
    }
    if (localStorage.getItem('column3Width')) {
        column3.style.width = localStorage.getItem('column3Width');
    }

    const resizers = document.querySelectorAll('.resizer');
    let currentResizer;
    let startX, startWidthCurrent, startWidthNext;

    resizers.forEach(resizer => {
        resizer.addEventListener('mousedown', (e) => {
            e.preventDefault();
            if ((resizer === resizer1 && isColumn1Fixed) || (resizer === resizer2 && isColumn3Fixed)) return;
            currentResizer = resizer;
            startX = e.clientX;

            const currentColumn = currentResizer.previousElementSibling;
            const nextColumn = currentResizer.nextElementSibling;

            startWidthCurrent = currentColumn.getBoundingClientRect().width;
            startWidthNext = nextColumn.getBoundingClientRect().width;

            document.addEventListener('mousemove', mousemove);
            document.addEventListener('mouseup', mouseup);
        });

        resizer.addEventListener('touchstart', (e) => {
            e.preventDefault();
            if ((resizer === resizer1 && isColumn1Fixed) || (resizer === resizer2 && isColumn3Fixed)) return;
            currentResizer = resizer;
            startX = e.touches[0].clientX;

            const currentColumn = currentResizer.previousElementSibling;
            const nextColumn = currentResizer.nextElementSibling;

            startWidthCurrent = currentColumn.getBoundingClientRect().width;
            startWidthNext = nextColumn.getBoundingClientRect().width;

            document.addEventListener('touchmove', touchmove);
            document.addEventListener('touchend', touchend);
        });
    });

    function mousemove(e) {
        const dx = e.clientX - startX;
        resizeColumns(dx);
    }

    function touchmove(e) {
        const dx = e.touches[0].clientX - startX;
        resizeColumns(dx);
    }

    function resizeColumns(dx) {
        const currentColumn = currentResizer.previousElementSibling;
        const nextColumn = currentResizer.nextElementSibling;

        const newWidthCurrent = startWidthCurrent + dx;
        const newWidthNext = startWidthNext - dx;

        // Ensure minimum width of 250px
        if (newWidthCurrent > 250 && newWidthNext > 250) {
            currentColumn.style.width = `${newWidthCurrent}px`;
            nextColumn.style.width = `${newWidthNext}px`;
        }
    }

    function mouseup() {
        document.removeEventListener('mousemove', mousemove);
        document.removeEventListener('mouseup', mouseup);
        saveWidths();
    }

    function touchend() {
        document.removeEventListener('touchmove', touchmove);
        document.removeEventListener('touchend', touchend);
        saveWidths();
    }

    function saveWidths() {
        localStorage.setItem('column1Width', column1.style.width);
        localStorage.setItem('column2Width', column2.style.width);
        localStorage.setItem('column3Width', column3.style.width);
    }

    let isColumn1Visible = true;
    let isColumn3Visible = true;

    document.getElementById('toggleColumn1').addEventListener('click', () => {
        if (isColumn1Visible) {
            column1.style.display = 'none';
            resizer1.style.display = 'none';
        } else {
            column1.style.display = 'block';
            resizer1.style.display = 'flex';
        }
        isColumn1Visible = !isColumn1Visible;
        updateActionMenuVisibility();
        recalculateColumnWidths();
    });

    document.getElementById('toggleColumn3').addEventListener('click', () => {
        if (isColumn3Visible) {
            column3.style.display = 'none';
            resizer2.style.display = 'none';
        } else {
            column3.style.display = 'block';
            resizer2.style.display = 'flex';
        }
        isColumn3Visible = !isColumn3Visible;
        updateActionMenuVisibility();
        recalculateColumnWidths();
    });

    pollButtonRight.addEventListener('click', () => {
        if (!isColumn3Visible) {
            column3.style.display = 'block';
            resizer2.style.display = 'flex';
            isColumn3Visible = true;
        }
        updateActionMenuVisibility();
        recalculateColumnWidths();
    });

    pollButtonLeft.addEventListener('click', () => {
        if (!isColumn1Visible) {
            column1.style.display = 'block';
            resizer1.style.display = 'flex';
            isColumn1Visible = true;
        }
        updateActionMenuVisibility();
        recalculateColumnWidths();
    });

    function updateActionMenuVisibility() {
        if (!isColumn1Visible) {
            leftActionMenu.style.display = 'block';
        } else {
            leftActionMenu.style.display = 'none';
        }

        if (!isColumn3Visible) {
            rightActionMenu.style.display = 'block';
        } else {
            rightActionMenu.style.display = 'none';
        }
    }

    function recalculateColumnWidths() {
        const totalWidth = document.getElementById('statistic_container').clientWidth;
        let availableWidth = totalWidth;

        if (isColumn1Visible) {
            availableWidth -= column1.clientWidth + resizer1.clientWidth;
        }
        if (isColumn3Visible) {
            availableWidth -= column3.clientWidth + resizer2.clientWidth;
        }

        column2.style.width = `${availableWidth}px`;
    }

    // Recalculate column widths on window resize
    window.addEventListener('resize', () => {
        recalculateColumnWidths();
        updateActionMenuPosition();
    });

    function updateActionMenuPosition() {
        const column2Rect = column2.getBoundingClientRect();
        rightActionMenu.style.top = `${column2Rect.top + 10}px`;
        leftActionMenu.style.top = `${column2Rect.top + 10}px`;
    }

    // Initial positioning of action menus
    updateActionMenuPosition();

    // Event listeners for fixing column sizes
    fixColumn1Button.addEventListener('click', () => {
        isColumn1Fixed = !isColumn1Fixed;
        if (isColumn1Fixed) {
            localStorage.setItem('fixedColumn1Width', column1.style.width);
            resizer1.style.pointerEvents = 'none'; // Disable resizing
            column1.classList.add('fixed-column'); // Add highlighting
        } else {
            localStorage.removeItem('fixedColumn1Width');
            resizer1.style.pointerEvents = 'auto'; // Enable resizing
            column1.classList.remove('fixed-column'); // Remove highlighting
        }
    });

    fixColumn3Button.addEventListener('click', () => {
        isColumn3Fixed = !isColumn3Fixed;
        if (isColumn3Fixed) {
            localStorage.setItem('fixedColumn3Width', column3.style.width);
            resizer2.style.pointerEvents = 'none'; // Disable resizing
            column3.classList.add('fixed-column'); // Add highlighting
        } else {
            localStorage.removeItem('fixedColumn3Width');
            resizer2.style.pointerEvents = 'auto'; // Enable resizing
            column3.classList.remove('fixed-column'); // Remove highlighting
        }
    });

    // Apply fixed column widths from localStorage
    if (localStorage.getItem('fixedColumn1Width')) {
        isColumn1Fixed = true;
        column1.style.width = localStorage.getItem('fixedColumn1Width');
        resizer1.style.pointerEvents = 'none';
        column1.classList.add('fixed-column'); // Add highlighting
    }
    if (localStorage.getItem('fixedColumn3Width')) {
        isColumn3Fixed = true;
        column3.style.width = localStorage.getItem('fixedColumn3Width');
        resizer2.style.pointerEvents = 'none';
        column3.classList.add('fixed-column'); // Add highlighting
    }
});

document.addEventListener('DOMContentLoaded', function() {
    const calendarList = document.getElementById('calendar-list');
    const entries = [
        { date: '2024-07-15', event: 'Meeting with Team' },
        { date: '2024-07-16', event: 'Project Deadline' },
        { date: '2024-07-18', event: 'Client Presentation' },
        { date: '2024-07-20', event: 'Workshop' },
        { date: '2024-07-22', event: 'Team Building Activity' },
        { date: '2024-07-24', event: 'Conference' },
        { date: '2024-07-27', event: 'Performance Review' },
        { date: '2024-07-30', event: 'End of Month Meeting' }
    ];

    entries.forEach(entry => {
        const listItem = document.createElement('li');
        listItem.className = 'calendar-entry';
        listItem.innerHTML = `<span class="date">${entry.date}</span><span class="event">${entry.event}</span>`;
        calendarList.appendChild(listItem);
    });
});

document.addEventListener('DOMContentLoaded', function () {
    let dropdown = document.getElementById('questionaire_dropdown');
    let searchterms = document.getElementById('search_terms');

    dropdown.addEventListener('change', function () {
        searchterms.value = dropdown.value;
    });
});

document.querySelectorAll('.accordion-header').forEach(button => {
    button.addEventListener('click', () => {
        const accordionContent = button.nextElementSibling;
        button.classList.toggle('active');

        if (button.classList.contains('active')) {
            accordionContent.style.display = 'block';
        } else {
            accordionContent.style.display = 'none';
        }
    });
});

// When the user scrolls the page, execute myFunction
window.onscroll = function() {myFunction()};

// Get the header
var header = document.getElementById("az-header");

// Get the offset position of the navbar
var sticky = header.offsetTop;

// Add the sticky class to the header when you reach its scroll position. Remove "sticky" when you leave the scroll position
function myFunction() {
  if (window.pageYOffset > sticky) {
    header.classList.add("sticky");
  } else {
    header.classList.remove("sticky");
  }
}
</script>

<script src="/pwa.js"></script>
<script src="/status.js"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    import {CONFIG} from '../pb-config.js?v=[cs_version]';
    import {setNewsCookieRead, enterFullscreen} from "../../csf-lib/pb-functions.js?v=[cs_version]"

    document.API_BASE_URL = CONFIG.API_BASE_URL
    new pbBrain().boot("dashboard-circuit");
    window.setNewsCookieRead = setNewsCookieRead
    $(function () {
        $('.draghandle').draggable({handle: '.handle', placeholder: true})
    })

    dotime()
    setInterval(dotime, 1000)

    function dotime() {
        var t = new Date().toLocaleTimeString('de-DE');
        time.innerHTML = t;
    }
</script>
</html>